#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
English (US) language pack (en_US)
"""

TEXTS = {
    # Common texts
    'common': {
        'app_title': 'LinkedIn Easy Apply Bot - Configuration Tool v3.1 (Tkinter)',
        'browse': 'Browse',
        'save': 'Save',
        'cancel': 'Cancel',
        'ok': 'OK',
        'add': 'Add',
        'modify': 'Modify',
        'edit': 'Edit',
        'remove': 'Remove',
        'delete': 'Delete',
        'confirm': 'Confirm',
        'warning': 'Warning',
        'error': 'Error',
        'success': 'Success',
        'yes': 'Yes',
        'no': 'No',
        'select_option': 'Select an option',
        'select_file': 'Select File',
        'import': 'Import',
        'export': 'Export',
        'search': 'Search',
        'language': 'Language',
        'ready': 'Ready',
        'invalid_entry': 'Invalid Entry',
        'resume': 'Resume',
        'cover_letter': 'Cover',
        'photo': 'Photo',
        'privacy_notice': 'We do not store your personal privacy information',
    },
    
    # Login screen texts
    'login': {
        'app_title': 'EasyApply Login',
        'welcome': 'Welcome to EasyApply',
        'please_login': 'Please login to continue',
        'login_register': 'Login/Register',
        'exit': 'Exit',
        'ready': 'Ready to login...',
        'authenticating': 'Authenticating, please complete login in browser...',
        'success': 'Login successful! Loading main interface...',
        'success_title': 'Login Successful',
        'success_message': 'Login successful! Loading main interface...',
        'failed_title': 'Login Failed',
        'failed_message': 'Login not completed, please try again.',
        'error_title': 'Login Error',
        'error_prefix': 'An error occurred during login: ',
    },
    
    # Tab titles
    'tabs': {
        'basic': 'Basic Settings',
        'job': 'Jobs & Locations',
        'preferences': 'Preferences',
        'advanced': 'Advanced Settings',
        'experience': 'Personal Data',
        'ai_assistant': 'AI Assistant',
        'control': 'Control & Status',
    },
    
    # Basic Settings tab
    'basic_tab': {
        'account_resume': 'Account and Resume',
        'email': 'LinkedIn Email:',
        'password': 'LinkedIn Password:',
        'openai_api_key': 'OpenAI API Key:',
        'openai_api_key_note': '(Optional) Enter your own OpenAI API key here',
        'resume_path': 'Resume File Path:',
        'extract_text': 'AI Extract Text',
        'pdf_only': 'PDF format only (max 2MB)',
        'text_resume_path': 'Text Resume File Path:',
        'cover_letter_path': 'Cover Letter File Path:',
        'cover_letter_note': 'PDF format only (max 512KB)',
        'photo_path': 'Photo File Path:',
        'photo_note': 'PNG, JPG, JPEG supported (max 1MB)',
        'disable_antilock': 'Disable System Anti-lock/Sleep',
    },
    
    # Jobs & Locations tab
    'job_tab': {
        'position_config': 'Position Application Config (with limits)',
        'add_position': 'Add Position',
        'modify_position': 'Modify Position',
        'delete_position': 'Delete Position',
        'global_search': 'Global Search Criteria',
        'target_location': 'Target Locations (one per line):',
        'search_radius': 'Search Radius (km):',
        'remote_only': 'Search Remote Jobs Only',
        'less_than_ten': 'Filter "Less than 10 applicants" jobs',
        'filter_less_than': 'Filter less than',
        'applicants_label': 'applicants',
        'newest_first': 'Sort by most recent',
        'resident_status': 'Resident in job country',
        'position_name': 'Position Name:',
        'target_count': 'Target Application Count:',
        'target_count_display': 'Target Count',
    },
    
    # Preferences tab
    'preferences_tab': {
        'experience_level': 'Experience Level',
        'job_type': 'Job Type',
        'date_posted': 'Date Posted',
        'all_time': 'All Time',
        'month': 'Past Month',
        'week': 'Past Week',
        '24_hours': 'Past 24 Hours',
        'past': 'Past',
        'hours': 'Hours',
    },
    
    # Preferences tab labels
    'preferences_labels': {
        'experience_level_frame': 'Experience Level',
        'job_type_frame': 'Job Type',
        'date_posted_frame': 'Date Posted',
    },
    
    # Advanced Settings tab
    'advanced_tab': {
        'blacklist': 'Blacklist (one per line)',
        'company': 'Company:',
        'title': 'Title:',
        'poster': 'Poster:',
        'language_skills': 'Language Skills',
        'experience': 'Experience (Skill: Years)',
        'custom_qa': 'Custom Q&A',
        'batch_add': 'Batch Add',
        'batch_delete': 'Batch Delete',
        'personal_info': 'Personal Info & EEO (based on config.yaml)',
        'personal_info_title': 'Personal Info:',
        'eeo_title': 'EEO Information:',
        'completed_degrees': 'Completed Degrees',
        'other_settings': 'Other Advanced Settings',
        'output_dir': 'Log Output Directory:',
        'university_gpa': 'University GPA:',
        'min_salary': 'Minimum Expected Salary:',
        'notice_period': 'Notice Period (weeks):',
        'evaluate_job_fit': 'Evaluate Job Fit',
        'debug_mode': 'Debug Mode',
        'application_qa': 'Application Questions Default Answers (Yes/No)',
        'edit_yaml_note': 'Tip: For more complex configurations, edit the YAML file.',
        'drivers_licence': 'Have Driver\'s License?',
        'require_visa': 'Require Visa Sponsorship?',
        'legally_authorized': 'Legally Authorized to Work?',
        'certified_professional': 'Have Professional Certification?',
        'urgent_fill': 'Can Start Immediately?',
        'commute': 'Accept Commuting?',
        'remote': 'Accept Remote Work?',
        'drug_test': 'Accept Drug Test?',
        'assessment': 'Willing to Complete Assessment?',
        'security_clearance': 'Have Security Clearance?',
        'background_check': 'Accept Background Check?',
        'add_qa': 'Add',
        'modify_qa': 'Modify',
        'remove_qa': 'Remove',
        'batch_add_qa': 'Batch Add',
        'batch_delete_qa': 'Batch Delete',
        'select_code': 'Select',
        'search_prompt': 'Search:',
    },
    
    # Advanced settings tab labels
    'advanced_labels': {
        'blacklist_frame': 'Blacklist (one per line)',
        'language_frame': 'Language Skills',
        'experience_frame': 'Experience (Skill: Years)',
        'custom_qa_frame': 'Custom Q&A',
        'personal_info_frame': 'Personal Info & EEO (based on config.yaml)',
        'eeo_info_title': 'EEO Information:',
        'degree_frame': 'Completed Degrees',
        'other_settings_frame': 'Other Advanced Settings',
        'qa_default_frame': 'Application Questions Default Answers (Yes/No)',
        'personal_info_title': 'Personal Info:',
    },
    
    # Blacklist fields
    'blacklist_fields': {
        'company': 'Company:',
        'title': 'Title:',
        'poster': 'Poster:',
    },
    
    # Advanced settings fields
    'advanced_fields': {
        'output_dir': 'Log Output Directory:',
        'university_gpa': 'University GPA:',
        'min_salary': 'Minimum Expected Salary:',
        'notice_period': 'Notice Period (weeks):',
        'evaluate_job_fit': 'Evaluate Job Fit',
        'customize_prompt': 'Customize Prompt',
        'prompt_dialog_title': 'Customize Job Fit Evaluation Prompt',
        'prompt_description': 'Define criteria for AI to evaluate job fit. The default prompt recommends applying if the candidate meets 65% of core requirements with experience gap less than 2 years.',
        'default_prompt': 'You are evaluating job fit for technical roles.\nRecommend APPLY if:\n- Candidate meets 65 percent of the core requirements\n- Experience gap is 2 years or less\n- Has relevant transferable skills\n\nReturn SKIP if:\n- Experience gap is greater than 2 years\n- Missing multiple core requirements\n- Role is clearly more senior\n- The role is focused on an uncommon technology or skill that is required and that the candidate does not have experience with\n- The role is a leadership role or a role that requires managing people and the candidate has no experience leading or managing people',
        'reset_to_default': 'Reset to Default',
        'speed_mode': 'AI Speed Mode',
        'speed_slow': 'Slow Mode (Longer thinking time)',
        'speed_fast': 'Fast Mode (Less thinking time)',
        'debug_mode': 'Debug Mode',
    },
    
    # Experience Management tab
    'experience_tab': {
        'work_experience': 'Work Experience',
        'add_work': 'Add Work',
        'edit_work': 'Edit Work',
        'remove_work': 'Remove Work',
        'education': 'Education',
        'add_edu': 'Add Education',
        'edit_edu': 'Edit Education',
        'remove_edu': 'Remove Education',
        'start_date': 'Start Date:',
        'end_date': 'End Date:',
        'current_position': 'Current Position',
        'current_study': 'Currently Studying',
        'required_work_fields': 'Position and Company',
        'required_edu_fields': 'School and Degree',
        'select_start_date': 'Please select start date',
        'select_end_date': 'Please select end date or check {0}',
        # Work dialog field labels
        'title': 'Title',
        'company': 'Company',
        'city': 'City',
        'description': 'Description',
        # Education dialog field labels
        'school': 'School',
        'degree': 'Degree',
        'major': 'Major',
    },
    
    # Experience tab labels
    'experience_labels': {
        'work_frame': 'Work Experience',
        'education_frame': 'Education',
    },
    
    # AI Assistant tab
    'ai_assistant_tab': {
        'resume_status': 'Resume Status:',
        'not_loaded': 'Not Loaded',
        'loaded': 'Loaded',
        'server_status': 'Server Status:',
        'not_tested': 'Not Tested',
        'connected': 'Connected',
        'error': 'Error',
        'server_url': 'AI Server URL:',
        'test_connection': 'Test Connection',
        'resume_processing': 'Resume Processing',
        'extract_info': 'Extract Information',
        'generate_summary': 'Generate Summary',
        'process_options': 'Processing Options:',
        'processing_log': 'Processing Log:',
        'clear_log': 'Clear Log',
    },
    
    # AI Tab (new version)
    'ai_tab': {
        'title': 'AI Assistant - Extract Content from Resume',
        'description': 'AI will extract content from your text resume to automatically fill forms',
        'resume_file': 'Resume File',
        'resume_file_description': 'The system will use the text resume file specified in the "Basic Settings" tab:',
        'no_resume_file': 'No text resume file set',
        'check_file': 'Check File',
        'server_config': 'Server Configuration',
        'server_url': 'Server URL:',
        'test_connection': 'Test Connection',
        'select_content': 'Select content to extract from resume',
        'option_languages': 'Language Skills',
        'option_skills': 'Skill Experience',
        'option_personal_info': 'Personal Information',
        'option_eeo': 'EEO Information',
        'option_salary': 'Minimum Expected Salary',
        'option_work_experience': 'Work Experience',
        'option_education': 'Education',
        'preparing': 'Preparing to analyze resume...',
        'error_no_options': 'Error: Please select at least one extraction option',
        'error_no_server_url': 'Error: Please enter server URL',
        'sending_request': 'Sending request to server...',
        'received_results': 'Received AI analysis results, processing...',
        'analysis_complete': 'Analysis complete! Results below:',
        'updating_interface': 'Updating interface...',
        'update_complete': 'Interface update complete!',
        'server_error': 'Server Error',
        'request_timeout': 'Request timeout, possibly due to large resume content or network issues.\nFor a better experience, consider using a proxy or running a local server.',
        'request_error': 'Request Error',
        'processing_error': 'Processing Error',
        'start_applying_results': 'Starting to apply AI recognition results to configuration...',
        'updated_languages': 'Updated {0} languages',
        'updated_skills': 'Updated {0} skills',
        'updated_personal_info': 'Updated personal information',
        'updated_work_experience': 'Updated {0} work experiences',
        'updated_education': 'Updated {0} education entries',
        'run_button': 'Run AI Assistant',
        'output_log': 'Output Log',
        'testing_connection': 'Testing connection to:',
        'connection_successful': 'Connection successful! Server response:',
        'server_ok': 'Server running normally',
        'server_response_abnormal': 'Server response abnormal:',
        'server_error_code': 'Server returned error code:',
        'connection_failed': 'Connection failed:',
        'file_not_found': 'File not found',
        'file_empty': 'File content is empty',
        'file_ok': 'File OK',
        'characters': 'characters',
        'file_read_error': 'File read error',
        'default_prompt': 'Please extract information from my resume content, do not fabricate any content.',
        'metadata_languages': 'Language Proficiency',
        'metadata_personal_info': 'Personal Information',
        'metadata_country_code': 'Country/Region Code',
        'metadata_education': 'Education Background',
        'metadata_degree': 'Degree',
        'metadata_month': 'Month',
        'metadata_year': 'Year',
        'metadata_work_experience': 'Work Experience',
        'metadata_skills': 'Skill Experience',
        'metadata_eeo': 'EEO Information',
        'metadata_gender': 'Gender',
        'metadata_race': 'Race',
        'metadata_veteran_status': 'Veteran Status',
        'metadata_disability_status': 'Disability Status',
        'metadata_salary': 'Expected Salary',
        'metadata_salary_period': 'Salary Period',
        'apply_data_error': 'Error applying AI data to interface',
    },
    
    # Control & Status tab
    'control_tab': {
        'operation_log': 'Operation Log:',
        'clear_log': 'Clear Log',
        'save_config': 'Save Configuration',
        'start_bot': 'Start Bot',
        'stop_bot': 'Stop',
        'edit_yaml': 'Edit YAML',
    },
    
    # Dialog texts
    'dialogs': {
        'add_lang_title': 'Add Language',
        'lang_name': 'Language Name:',
        'proficiency': 'Proficiency:',
        'modify_lang_title': 'Modify Language',
        'add_exp_title': 'Add Experience',
        'skill_name': 'Skill/Domain Name:',
        'years': 'Years:',
        'modify_exp_title': 'Modify Experience',
        'add_question_title': 'Add Custom Q&A',
        'question': 'Question:',
        'answer': 'Answer:',
        'modify_question_title': 'Modify Custom Q&A',
        'batch_add_lang_title': 'Batch Add Languages',
        'batch_add_lang_format': 'Input Format: One language per line, format as \'Language Name: Proficiency\'',
        'batch_add_lang_example': 'Example: \'English: Native or bilingual\'',
        'available_proficiency': 'Available Proficiency:',
        'insert_proficiency': 'Insert Proficiency',
        'batch_add_exp_title': 'Batch Add Experience',
        'batch_add_exp_format': 'Input Format: One experience per line, format as \'Skill/Domain Name: Years\'',
        'batch_add_exp_example': 'Example: \'Python: 3\'',
        'batch_add_qa_title': 'Batch Add Custom Q&A',
        'batch_add_qa_format': 'One question-answer pair per line, format as \'Question: Answer\'',
        'import_from_file': 'Import from File',
        'select_file': 'Select File',
        'select_code': 'Select Country Code',
        'search_label': 'Search:',
    },
    
    # Message box texts
    'messages': {
        'file_too_large': '{0} file size cannot exceed {1}, current size: {2}MB',
        'no_pdf': 'Please select a PDF resume file first',
        'not_pdf': 'Selected file is not a PDF format',
        'start_extract': 'Starting to extract text from {0}...',
        'extract_success': 'Success: Text extracted from {0} and saved to {1}',
        'extract_fail': 'Warning: Failed to extract text from {0}',
        'file_not_found': 'Error: File not found {0}',
        'extract_error': 'Error: Error extracting text: {0}',
        'switch_language': 'Changing the language will require restarting the application. Do you want to continue?',
        'no_selection': 'Please select the {1} to {0} from the list.',
        'confirm_delete': 'Are you sure you want to delete {0} selected {1}?',
        'delete_success': 'Successfully deleted {0} {1}.',
        'input_error': 'Please enter {0}.',
        'item_exists': '{0} \'{1}\' already exists. Do you want to overwrite it?',
        'invalid_years': 'Years must be an integer.',
        'cannot_delete_default': 'Cannot delete default experience item.',
        'cannot_modify': 'Cannot modify \'default\' entry.',
        'confirm_overwrite': '{0} \'{1}\' already exists. Do you want to overwrite it?',
        'item_not_found': '{0} \'{1}\' not found in configuration.',
        'parse_error': 'Unable to parse the selected {0}.',
        'save_success': 'Configuration saved!',
        'save_error': 'Error saving configuration!',
        'update_error': 'Error updating configuration values, not saved.',
        'missing_info': 'Please enter LinkedIn email and password.',
        'missing_resume': 'Please specify at least a PDF resume or text resume file path.',
        'starting_bot': 'Starting bot...',
        'bot_started': '--- Starting LinkedIn Easy Apply Bot ---\n',
        'bot_waiting': 'Bot started, please wait...\n',
        'bot_error': 'Error: \'main.py\' not found. Make sure the script is in the same directory.\n',
        'bot_start_error': 'Error starting bot: {0}\n',
        'bot_stopping': 'Stopping bot...',
        'bot_stopped': '--- User requested to stop the bot ---\n',
        'bot_stop_error': 'Error stopping bot: {0}\n',
        'bot_finished': '--- Bot execution completed ---\n',
        'bot_error_stopped': '--- Bot execution encountered an error or was stopped ---\n',
        'pipe_closed': 'Pipe closed detected while reading output (ValueError)',
        'bot_pipe_closed': 'Bot process output pipe has been closed.',
        'missing_credentials': 'Please enter LinkedIn email and password.',
        'required_fields': 'Please fill in required fields: {0}',
        'select_end_date': 'Please select end date or check "{0}"',
        'config_saved': 'Configuration saved!',
        'config_save_error': 'Error saving configuration!',
        'config_update_error': 'Error updating configuration values, not saved.',
        'gui_update_error': 'GUI data update error',
        'batch_add_success': 'Successfully added {0} {1}.',
        'no_valid_items': 'No valid {0} found, please check the format.',
        'invalid_format': 'Format error: {0}',
        'format_error': 'Selected item format is incorrect, cannot modify.',
        'confirm_bulk_delete': 'Are you sure you want to delete {0} selected {1}?',
        'missing_parameters': 'Please fill in all required fields.',
        'invalid_integer': '{0} must be an integer.',
        'invalid_value': '{0} must be a valid {1}.',
        'missing_file': '{0} does not exist.',
        'file_open_error': 'Cannot open configuration file: {0}',
        'pdf_processing': 'Processing PDF',
        'processing_file': 'Processing PDF file: {0}',
        'please_wait': 'Please wait, extracting text...',
        'sending_to_ocr': 'Sending PDF to OCR server...',
        'ocr_timeout': 'The OCR service request timed out.',
        'ocr_canceled': 'The OCR request was canceled by the user.',
        'missing_text_resume_hint': 'Text resume is missing or invalid. Please select a PDF resume and click the \"AI Extract Text\" button (on the Basic Settings tab) to generate it first.'
    },
    
    # Personal info fields
    'personal_info_fields': {
        'pronouns': 'Pronouns:',
        'first_name': 'First Name:',
        'last_name': 'Last Name:',
        'phone_country_code': 'Phone Country Code:',
        'mobile_phone': 'Mobile Phone Number:',
        'street_address': 'Street Address:',
        'city': 'City:',
        'state': 'State:',
        'zip': 'Zip:',
        'linkedin': 'LinkedIn:',
        'website': 'Website:',
        'message_to_manager': 'Message to manager:',
    },
    
    # EEO fields
    'eeo_fields': {
        'gender': 'Gender:',
        'race': 'Race:',
        'veteran': 'Veteran Status:',
        'disability': 'Disability Status:',
        'citizenship': 'Citizenship:',
        'clearance': 'Clearance:',
    },
    
    # Button labels
    'buttons': {
        'add_work': 'Add Work',
        'edit_work': 'Edit Work',
        'remove_work': 'Remove Work',
        'add_edu': 'Add Education',
        'edit_edu': 'Edit Education',
        'remove_edu': 'Remove Education',
        'check_file': 'Check File',
        'test_connection': 'Test Connection',
        'run_assistant': 'Run AI Assistant',
    },
    
    # Work and Education dialog
    'work_edu_dialog': {
        'position': 'Position:',
        'company': 'Company:',
        'location': 'Location:',
        'start_date': 'Start Date:',
        'end_date': 'End Date:',
        'current_position': 'Current Position',
        'description': 'Description:',
        'school': 'School:',
        'degree': 'Degree:',
        'field': 'Field of Study:',
        'current_study': 'Currently Studying',
        'required_fields': 'Required Fields',
    },
} 