#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
简体中文语言包 (zh_CN)
"""

TEXTS = {
    # 通用文本
    'common': {
        'app_title': 'LinkedIn Easy Apply Bot - 配置工具 v3.1 (Tkinter)',
        'browse': '浏览',
        'save': '保存',
        'cancel': '取消',
        'ok': '确定',
        'add': '添加',
        'modify': '修改',
        'edit': '编辑',
        'remove': '移除',
        'delete': '删除',
        'confirm': '确认',
        'warning': '警告',
        'error': '错误',
        'success': '成功',
        'yes': '是',
        'no': '否',
        'select_option': '选择一个选项',
        'select_file': '选择文件',
        'import': '导入',
        'export': '导出',
        'search': '搜索',
        'language': 'Language',
        'ready': '就绪',
        'invalid_entry': '无效条目',
        'resume': '简历',
        'cover_letter': '求职信',
        'photo': '照片',
        'privacy_notice': '我们不会保存你的个人隐私',
    },
    
    # 登录界面文本
    'login': {
        'app_title': 'EasyApply登录',
        'welcome': '欢迎使用EasyApply',
        'please_login': '请登录以继续使用',
        'login_register': '登录/注册',
        'exit': '退出',
        'ready': '准备登录...',
        'authenticating': '正在进行认证，请在浏览器中完成登录...',
        'success': '登录成功！正在加载主界面...',
        'success_title': '登录成功',
        'success_message': '登录成功！正在加载主界面...',
        'failed_title': '登录失败',
        'failed_message': '登录未完成，请重试。',
        'error_title': '登录错误',
        'error_prefix': '登录过程发生错误: ',
    },
    
    # 标签页标题
    'tabs': {
        'basic': '基本设置',
        'job': '职位和位置',
        'preferences': '偏好设置',
        'advanced': '高级设置',
        'experience': '个人资料',
        'ai_assistant': 'AI助手',
        'control': '操作与状态',
    },
    
    # 基本设置标签页
    'basic_tab': {
        'account_resume': '账户和简历',
        'email': '领英邮箱:',
        'password': '领英密码:',
        'openai_api_key': 'OpenAI API密钥:',
        'openai_api_key_note': '(选填) 如果您有自己的OpenAI API密钥，可以在此处输入',
        'resume_path': '简历文件路径:',
        'extract_text': 'AI提取简历文本',
        'pdf_only': '仅支持PDF格式 (最大2MB)',
        'text_resume_path': '文本简历文件路径:',
        'cover_letter_path': '求职信文件路径:',
        'cover_letter_note': '仅支持PDF格式 (最大512KB)',
        'photo_path': '照片文件路径:',
        'photo_note': '支持PNG, JPG, JPEG (最大1MB)',
        'disable_antilock': '禁用系统防锁定/休眠',
    },
    
    # 职位和位置标签页
    'job_tab': {
        'position_config': '职位投递配置 (带数量限制)',
        'add_position': '添加职位',
        'modify_position': '修改职位',
        'delete_position': '删除职位',
        'global_search': '全局搜索条件',
        'target_location': '目标地点 (每行一个):',
        'search_radius': '搜索半径 (公里):',
        'remote_only': '只搜索远程工作',
        'less_than_ten': '筛选"少于10名申请者"的职位',
        'filter_less_than': '筛选少于',
        'applicants_label': '名申请者的职位',
        'newest_first': '按最新发布日期排序',
        'resident_status': '居住在工作所在国家/地区',
        'position_name': '职位名称:',
        'target_count': '目标投递数量:',
        'target_count_display': '目标数量',
    },
    
    # 偏好设置标签页
    'preferences_tab': {
        'experience_level': '经验等级',
        'job_type': '工作类型',
        'date_posted': '发布日期',
        'all_time': '任何时间',
        'month': '过去一个月',
        'week': '过去一周',
        '24_hours': '过去24小时',
        'past': '过去',
        'hours': '小时',
    },
    
    # 偏好设置标签页标签
    'preferences_labels': {
        'experience_level_frame': '经验等级',
        'job_type_frame': '工作类型',
        'date_posted_frame': '发布日期',
    },
    
    # 高级设置标签页
    'advanced_tab': {
        'blacklist': '黑名单 (每行一个)',
        'company': '公司:',
        'title': '职位:',
        'poster': '发布者:',
        'language_skills': '语言能力',
        'experience': '经验 (技能: 年数)',
        'custom_qa': '自定义问答',
        'batch_add': '批量添加',
        'batch_delete': '批量删除',
        'personal_info': '个人资料 & EEO (基于 config.yaml)',
        'personal_info_title': '个人资料:',
        'eeo_title': 'EEO信息:',
        'completed_degrees': '已完成学位',
        'other_settings': '其他高级设置',
        'output_dir': '日志输出目录:',
        'university_gpa': '大学GPA:',
        'min_salary': '最低期望薪资:',
        'notice_period': '通知周期 (周):',
        'evaluate_job_fit': '评估工作匹配度',
        'customize_prompt': '自定义提示词',
        'prompt_dialog_title': '自定义工作匹配度评估提示词',
        'prompt_description': '定义AI评估工作匹配度的标准。默认提示词建议在候选人满足65%核心要求且经验差距小于2年的情况下申请职位。',
        'default_prompt': 'You are evaluating job fit for technical roles.\nRecommend APPLY if:\n- Candidate meets 65 percent of the core requirements\n- Experience gap is 2 years or less\n- Has relevant transferable skills\n\nReturn SKIP if:\n- Experience gap is greater than 2 years\n- Missing multiple core requirements\n- Role is clearly more senior\n- The role is focused on an uncommon technology or skill that is required and that the candidate does not have experience with\n- The role is a leadership role or a role that requires managing people and the candidate has no experience leading or managing people',
        'reset_to_default': '重置为默认值',
        'debug_mode': '调试模式',
        'application_qa': '申请问题默认回答 (是/否)',
        'edit_yaml_note': '提示: 更复杂的配置请编辑 YAML 文件。',
        'drivers_licence': '有驾照?',
        'require_visa': '需签证担保?',
        'legally_authorized': '有合法工作权?',
        'certified_professional': '有专业认证?',
        'urgent_fill': '可立即开始?',
        'commute': '接受通勤?',
        'remote': '接受远程?',
        'drug_test': '接受药物测试?',
        'assessment': '愿意完成评估?',
        'security_clearance': '有安全许可?',
        'background_check': '接受背景调查?',
        'add_qa': '添加',
        'modify_qa': '修改',
        'remove_qa': '移除',
        'batch_add_qa': '批量添加',
        'batch_delete_qa': '批量删除',
        'select_code': '选择',
        'search_prompt': '搜索:',
    },
    
    # 高级设置标签页标签
    'advanced_labels': {
        'blacklist_frame': '黑名单 (每行一个)',
        'language_frame': '语言能力',
        'experience_frame': '经验 (技能: 年数)',
        'custom_qa_frame': '自定义问答',
        'personal_info_frame': '个人资料 & EEO (基于 config.yaml)',
        'degree_frame': '已完成学位',
        'other_settings_frame': '其他高级设置',
        'qa_default_frame': '申请问题默认回答 (是/否)',
        'personal_info_title': '个人资料:',
        'eeo_info_title': 'EEO信息:',
    },
    
    # 黑名单字段
    'blacklist_fields': {
        'company': '公司:',
        'title': '职位:',
        'poster': '发布者:',
    },
    
    # 高级设置字段
    'advanced_fields': {
        'output_dir': '日志输出目录:',
        'university_gpa': '大学GPA:',
        'min_salary': '最低期望薪资:',
        'notice_period': '通知周期 (周):',
        'evaluate_job_fit': '评估工作匹配度',
        'customize_prompt': '自定义提示词',
        'prompt_dialog_title': '自定义工作匹配度评估提示词',
        'prompt_description': '定义AI评估工作匹配度的标准。默认提示词建议在候选人满足65%核心要求且经验差距小于2年的情况下申请职位。',
        'default_prompt': 'You are evaluating job fit for technical roles.\nRecommend APPLY if:\n- Candidate meets 65 percent of the core requirements\n- Experience gap is 2 years or less\n- Has relevant transferable skills\n\nReturn SKIP if:\n- Experience gap is greater than 2 years\n- Missing multiple core requirements\n- Role is clearly more senior\n- The role is focused on an uncommon technology or skill that is required and that the candidate does not have experience with\n- The role is a leadership role or a role that requires managing people and the candidate has no experience leading or managing people',
        'reset_to_default': '重置为默认值',
        'speed_mode': 'AI速度模式',
        'speed_slow': '慢速模式（给予AI更长的思考时间）',
        'speed_fast': '快速模式（减少AI思考时间）',
        'debug_mode': '调试模式',
    },
    
    # 经历管理标签页
    'experience_tab': {
        'work_experience': '工作经历',
        'add_work': '添加工作',
        'edit_work': '编辑工作',
        'remove_work': '删除工作',
        'education': '教育经历',
        'add_edu': '添加教育',
        'edit_edu': '编辑教育',
        'remove_edu': '删除教育',
        'start_date': '起始日期:',
        'end_date': '结束日期:',
        'current_position': '目前在职',
        'current_study': '目前就读',
        'required_work_fields': '职位和公司',
        'required_edu_fields': '学校和学位',
        'select_start_date': '请选择起始日期',
        'select_end_date': '请选择结束日期或选择{0}',
        # 工作对话框字段标签
        'title': '职位',
        'company': '公司',
        'city': '城市',
        'description': '描述',
        # 教育对话框字段标签
        'school': '学校',
        'degree': '学位',
        'major': '专业',
    },
    
    # 经历管理标签页标签
    'experience_labels': {
        'work_frame': '工作经历',
        'education_frame': '学历经历',
    },
    
    # AI助手标签页
    'ai_assistant_tab': {
        'resume_status': '简历状态:',
        'not_loaded': '未加载',
        'loaded': '已加载',
        'server_status': '服务器状态:',
        'not_tested': '未测试',
        'connected': '已连接',
        'error': '错误',
        'server_url': 'AI服务器URL:',
        'test_connection': '测试连接',
        'resume_processing': '简历处理',
        'extract_info': '提取信息',
        'generate_summary': '生成摘要',
        'process_options': '处理选项:',
        'processing_log': '处理日志:',
        'clear_log': '清除日志',
    },
    
    # AI助手标签页 - 新版
    'ai_tab': {
        'title': 'AI助手 - 从简历提取内容',
        'description': 'AI将从您的文本简历中提取内容自动填充表单',
        'resume_file': '简历文件',
        'resume_file_description': '系统将使用您在"基本设置"标签页中指定的文本简历文件:',
        'no_resume_file': '未设置文本简历文件',
        'check_file': '检查文件',
        'server_config': '服务器配置',
        'server_url': '服务器URL:',
        'test_connection': '测试连接',
        'select_content': '选择要从简历中提取的内容',
        'option_languages': '语言能力',
        'option_skills': '技能经验',
        'option_personal_info': '个人资料',
        'option_eeo': 'EEO信息',
        'option_salary': '最低期望薪资',
        'option_work_experience': '工作经历',
        'option_education': '学历经历',
        'preparing': '准备分析简历...',
        'error_no_options': '错误: 请至少选择一个提取选项',
        'error_no_server_url': '错误: 请输入服务器URL',
        'sending_request': '正在发送请求到服务器...',
        'received_results': '收到AI分析结果，正在处理...',
        'analysis_complete': '分析完成！结果如下:',
        'updating_interface': '正在更新界面...',
        'update_complete': '界面更新完成！',
        'server_error': '服务器错误',
        'request_timeout': '请求超时，可能是由于简历内容过大或网络问题。\n为了获得更好的体验，请考虑使用代理或运行本地服务器。',
        'request_error': '请求错误',
        'processing_error': '处理错误',
        'start_applying_results': '开始将AI识别结果应用到配置中...',
        'updated_languages': '已更新 {0} 种语言',
        'updated_skills': '已更新 {0} 项技能',
        'updated_personal_info': '已更新个人信息',
        'updated_work_experience': '已更新 {0} 条工作经历',
        'updated_education': '已更新 {0} 条教育经历',
        'run_button': '运行AI助手',
        'output_log': '输出日志',
        'testing_connection': '正在测试连接到:',
        'connection_successful': '连接成功! 服务器响应:',
        'server_ok': '服务器运行正常',
        'server_response_abnormal': '服务器响应异常:',
        'server_error_code': '服务器返回错误代码:',
        'connection_failed': '连接失败:',
        'file_not_found': '找不到文件',
        'file_empty': '文件内容为空',
        'file_ok': '文件正常',
        'characters': '字符',
        'file_read_error': '读取文件错误',
        'metadata_languages': '语言熟练度',
        'metadata_personal_info': '个人信息',
        'metadata_country_code': '国家/地区代码',
        'metadata_education': '教育背景',
        'metadata_degree': '学位',
        'metadata_month': '月份',
        'metadata_year': '年份',
        'metadata_work_experience': '工作经验',
        'metadata_skills': '技能经验',
        'metadata_eeo': 'EEO信息',
        'metadata_gender': '性别',
        'metadata_race': '种族',
        'metadata_veteran_status': '退伍军人状态',
        'metadata_disability_status': '残障状态',
        'metadata_salary': '期望薪资',
        'metadata_salary_period': '薪资周期',
        'apply_data_error': '应用AI数据到界面时出错',
        'default_prompt': '请根据我的简历内容提取信息，不要编造任何内容。',
    },
    
    # 操作与状态标签页
    'control_tab': {
        'operation_log': '运行日志:',
        'clear_log': '清除日志',
        'save_config': '保存配置',
        'start_bot': '启动机器人',
        'stop_bot': '停止',
        'edit_yaml': '编辑YAML',
    },
    
    # 对话框文本
    'dialogs': {
        'add_lang_title': '添加语言',
        'lang_name': '语言名称:',
        'proficiency': '熟练度:',
        'modify_lang_title': '修改语言',
        'add_exp_title': '添加经验',
        'skill_name': '技能/领域名称:',
        'years': '年数:',
        'modify_exp_title': '修改经验',
        'add_question_title': '添加自定义问答',
        'question': '问题:',
        'answer': '答案:',
        'modify_question_title': '修改自定义问答',
        'batch_add_lang_title': '批量添加语言',
        'batch_add_lang_format': '输入格式：每行一个语言，格式为 \'语言名称: 熟练度\'',
        'batch_add_lang_example': '例如：\'英语: Native or bilingual\'',
        'available_proficiency': '可用熟练度:',
        'insert_proficiency': '插入熟练度',
        'batch_add_exp_title': '批量添加经验',
        'batch_add_exp_format': '输入格式：每行一个经验，格式为 \'技能/领域名称: 年数\'',
        'batch_add_exp_example': '例如：\'Python: 3\'',
        'batch_add_qa_title': '批量添加自定义问答',
        'batch_add_qa_format': '每行一个问题答案对，格式为 \'问题: 答案\'',
        'import_from_file': '从文件导入',
        'select_file': '选择文件',
        'select_code': '选择国家代码',
        'search_label': '搜索:',
    },
    
    # 消息框文本
    'messages': {
        'file_too_large': '{0}文件大小不能超过{1}，当前大小：{2}MB',
        'no_pdf': '请先选择PDF简历文件',
        'not_pdf': '选择的文件不是PDF格式',
        'start_extract': '开始从{0}提取文本...',
        'extract_success': '成功：已从{0}提取文本并保存到{1}',
        'extract_fail': '警告：无法从{0}提取文本',
        'file_not_found': '错误：找不到文件{0}',
        'extract_error': '错误：提取文本时出错：{0}',
        'switch_language': '更改语言需要重启应用程序。确定要继续吗？',
        'no_selection': '请从列表中选择要{0}的{1}。',
        'confirm_delete': '确定要删除选中的{0}个{1}吗？',
        'delete_success': '成功删除了{0}个{1}。',
        'input_error': '请输入{0}。',
        'item_exists': '{0}"{1}"已存在。是否要覆盖？',
        'invalid_years': '年数必须是整数。',
        'cannot_delete_default': '无法删除默认经验项。',
        'cannot_modify': '无法修改"default"条目。',
        'confirm_overwrite': '{0}"{1}"已存在。是否要覆盖？',
        'item_not_found': '在配置中未找到{0}"{1}"。',
        'parse_error': '无法解析选中的{0}。',
        'save_success': '配置已保存！',
        'save_error': '保存配置时出错！',
        'update_error': '更新配置值时出错，未保存。',
        'missing_info': '请输入LinkedIn邮箱和密码。',
        'missing_resume': '请至少指定PDF简历或文本简历文件路径。',
        'starting_bot': '正在启动机器人...',
        'bot_started': '--- 启动LinkedIn Easy Apply Bot ---\n',
        'bot_waiting': '机器人已启动，请等待...\n',
        'bot_error': '错误: 未找到"main.py"。请确保脚本在同一目录下。\n',
        'bot_start_error': '启动机器人时出错: {0}\n',
        'bot_stopping': '正在停止机器人...',
        'bot_stopped': '--- 用户请求停止机器人 ---\n',
        'bot_stop_error': '停止机器人时出错: {0}\n',
        'bot_finished': '--- 机器人运行完成 ---\n',
        'bot_error_stopped': '机器人进程遇到错误并停止',
        'pipe_closed': '读取输出时检测到管道关闭 (ValueError)',
        'bot_pipe_closed': '机器人进程输出管道已关闭。',
        'missing_credentials': '请输入LinkedIn邮箱和密码。',
        'required_fields': '请填写必填字段: {0}',
        'select_end_date': '请选择结束日期或勾选"{0}"',
        'config_saved': '配置已保存！',
        'config_save_error': '保存配置时出错！',
        'config_update_error': '更新配置值时出错，未保存。',
        'gui_update_error': 'GUI数据更新错误',
        'file_open_error': '读取配置文件时出错',
        'invalid_integer': '请输入有效的{0}',
        'batch_add_success': '成功添加了 {0} 个{1}。',
        'no_valid_items': '没有找到有效的{0}，请确保格式正确。',
        'invalid_format': '格式错误: {0}',
        'format_error': '所选项目格式不正确，无法修改。',
        'confirm_bulk_delete': '确定要删除选中的 {0} 个{1}吗？',
        'missing_parameters': '请填写所有必填字段。',
        'invalid_value': '{0}必须是有效的{1}。',
        'missing_file': '{0} 不存在。',
        'pdf_processing': '处理PDF文件',
        'processing_file': '正在处理PDF文件: {0}',
        'please_wait': '请稍候，正在提取文本...',
        'sending_to_ocr': '正在发送PDF到OCR服务器...',
        'ocr_timeout': 'OCR服务请求超时。',
        'ocr_canceled': 'OCR请求已被用户取消。',
        'missing_text_resume_hint': '文本简历缺失或无效。请选择一份 PDF 简历，然后点击"AI 提取文本"按钮（位于"基本设置"选项卡上）先生成。'
    },
    
    # 个人资料字段
    'personal_info_fields': {
        'pronouns': '称谓:',
        'first_name': '名:',
        'last_name': '姓:',
        'phone_country_code': '电话国家代码:',
        'mobile_phone': '手机号码:',
        'street_address': '街道地址:',
        'city': '城市:',
        'state': '州/省:',
        'zip': '邮编:',
        'linkedin': '领英主页:',
        'website': '个人网站:',
        'message_to_manager': '给招聘经理的信息:',
    },
    
    # EEO字段
    'eeo_fields': {
        'gender': '性别:',
        'race': '种族:',
        'veteran': '退伍军人状态:',
        'disability': '残障状态:',
        'citizenship': '公民身份:',
        'clearance': '安全许可:',
    },
    
    # 按钮标签
    'buttons': {
        'add_work': '添加工作',
        'edit_work': '编辑工作',
        'remove_work': '删除工作',
        'add_edu': '添加教育',
        'edit_edu': '编辑教育',
        'remove_edu': '删除教育',
        'check_file': '检查文件',
        'test_connection': '测试连接',
        'run_assistant': '运行AI助手',
    },
    
    # 工作和教育对话框
    'work_edu_dialog': {
        'position': '职位:',
        'company': '公司:',
        'location': '地点:',
        'start_date': '开始日期:',
        'end_date': '结束日期:',
        'current_position': '目前在职',
        'description': '描述:',
        'school': '学校:',
        'degree': '学位:',
        'field': '专业:',
        'current_study': '目前就读',
        'required_fields': '必填字段',
    },
} 